<html>
    <head>
        <title>Zone de travail (canvas)</title>
        <script src="../../CodeSource/fabric.js-363/dist/fabric.js"></script>
        <script src="script/jquery-3.4.1.js"></script>
        <link rel="stylesheet" type="text/css" href="style/style.css">
    </head>

    <body>
        <h1>Pic Express : maquette : pochage et cloture</h1>

        <div>
            <input id="inputFile" type="file" onchange="convertToBase64();" />

            <button id="pochageBtn" title="Pochage" onclick="PochageCloture.start('pochage');">Pochage</button>
            <label>Double click pour terminer le pochage.</label>

            <button id="clotureBtn" title="Cloture" onclick="PochageCloture.start('cloture');">Cloture</button>
            <label>Double click pour terminer la cloture.</label>

            <label for="color">Couleur</label>
            <input type="color" id="colorPicker" name="color" value="#FF7F00" />
        </div>

        <br/>

        <div>
            <canvas id="canvas-container" class="canvas"></canvas>
        </div>
        




        <!-- canvas -->
        <script type="text/javascript" src="script/global.js"></script>
        <!-- Chargement du plan de masse -->
        <script type="text/javascript" src="script/loadMap.js"></script>
        <!-- Pochage -->
        <script type="text/javascript" src="script/pochagesClotures.js"></script>
        
    </body>
</html>